ParamTag (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.servlet.tags

## Class ParamTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.springframework.web.servlet.tags.ParamTag

- All Implemented Interfaces:
    Serializable, BodyTag, IterationTag, JspTag, Tag

      public class ParamTag
      extends BodyTagSupport

  JSP tag for collecting name-value parameters and passing them to a `ParamAware` ancestor in the tag hierarchy.

  This tag must be nested under a param aware tag.

  Since:
    3.0
  Author:
    Scott Andrews
  See Also:
    `Param`, `UrlTag`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `bodyContent`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParamTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()`
    `void` | `setName(String name)` Sets the name of the parameter
    `void` | `setValue(String value)` Sets the value of the parameter

    - ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### ParamTag

          public ParamTag()

  - ### Method Detail

    - #### doEndTag

          public int doEndTag()
                       throws JspException

      Specified by:
        `doEndTag` in interface `Tag`
      Overrides:
        `doEndTag` in class `BodyTagSupport`
      Throws:
        `JspException`

    - #### setName

          public void setName(String name)

      Sets the name of the parameter

      Required

      Parameters:
        `name` - the parameter name

    - #### setValue

          public void setValue(String value)

      Sets the value of the parameter

      Optional. If not set, the tag's body content is evaluated

      Parameters:
        `value` - the parameter value